> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/43.-query-ottieni-fields.md).

# 43. Query: ottieni "Fields"

Query per ottenere i "Campi" dell'utente con filtri per `etichette`, `farmUuid`, `fieldUuid`, `nomeCampo`. I campi restituiti in ordine alfabetico per nome del campo.&#x20;

Il filtro per campo funziona come condizione AND, ad es. è possibile filtrare per `farmUuid` e per `fieldUuid` e per `etichette` e per `nomeCampo` nella stessa query oppure usare una sola condizione di filtro o non usare alcuna condizione.&#x20;

Filtra per `nomeCampo` funziona come `inizia_con`.&#x20;

Per implementare la logica di paginazione, usare il parametro di query `dimensionePagina`. Ci sono `ultimaChiaveValutata` e `conteggioTotale` nella risposta, dove `ultimaChiaveValutata` si riferisce all'ultima registrazione processata che soddisfa la condizione di filtro e `conteggioTotale` è il numero totale di record che soddisfano le condizioni di filtro.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FiltraCampi {
  ottieniCampi(
    filtro: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      etichette: [{ nome: "nome1", valore: "valore1" }]
      dimensionePagina: 2
      ultimaChiaveValutata: {
        ChiaveOrdinamento: "<some_key>"
        ChiavePartizione: "<some_key>"
        StringaTag: "<some_key>"
      }
      nomeCampo: "Esempio"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      nome
      labels {
        nome
        value
      }
      conteggioTotale
    }
    ultimaChiaveValutata {
      ChiaveOrdinamento
      ChiavePartizione
      StringaTag
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/43.-query-ottieni-fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
